import dcc.config
import dcc.doom_base
import subprocess

class Fabricate(dcc.doom_base.WadMap):
	def take_action(self, parsed_args):
		subprocess.run([dcc.config.DSDA] +
			dcc.config.DsdaPreamble(parsed_args.wad, parsed_args.map) +
			["-timedemo", dcc.config.DemoInPath(parsed_args.wad, parsed_args.map)] +
			["-viddump", dcc.config.VideoPath(parsed_args.wad, parsed_args.map)])
